<!DOCTYPE html>
<html>

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="referrer" content="no-referrer">

  {% if video is defined or channel is defined %}
  <title>{% block title %}{% endblock %} - altCensored</title>
  <meta name="description" content="{% block description %}{% endblock %}">
  <link rel="image_src" href="{% block imagesrc %}{% endblock %}">
  {% else %}
  <title>Limited State YouTube Videos Censored Banned | altCensored.com</title>
  <meta name="description" content="altCensored.com features {{ videocount }} Censored Limited State Videos that YouTube Hides">
  <link rel="image_src" href="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">
  {% endif %}

  <link rel="shortcut icon" type="image/x-icon" href="{{ url_for('static', filename='favicon.ico') }}">
  <link rel="apple-touch-icon" type="image/x-icon" sizes="180x180" href="{{ url_for('static', filename='apple-touch-icon.png') }}">
  <link rel="icon" type="image/png" sizes="32x32" href="{{ url_for('static', filename='favicon-32x32.png') }}">
  <link rel="icon" type="image/png" sizes="16x16" href="{{ url_for('static', filename='favicon-16x16.png') }}">
  <link rel="manifest" href="{{ url_for('static', filename='site.webmanifest') }}">
  <link rel="mask-icon" href="{{ url_for('static', filename='safari-pinned-tab.svg') }}" color="#575757">
  <meta name="msapplication-TileColor" content="#575757">
  <meta name="theme-color" content="#575757">

  <link rel="stylesheet" href="{{ url_for('static', filename='css/pure-min.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/grids-responsive-min.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/default.css') }}?v=4">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/lighttheme.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/shareon.css') }}">

  {% if theme == 'dark' %}
  <link id="dark-reader" rel="stylesheet" href="{{ url_for('static', filename='css/dark.css') }}">
  {% endif %}

  <link rel="stylesheet" href="{{ url_for('static', filename='css/ionicons.min.css') }}">

  {% block head %}
  {% endblock %}
</head>

<body class="language-{{locale}}">
<div class="pure-g">
  <div class="pure-u-1 pure-u-md-2-24"></div>
  <div class="pure-u-1 pure-u-md-20-24">
    <div class="pure-g navbar h-box">
      <div class="pure-u-1 pure-u-md-4-24">
        <a href="{{ url_for('video.index') }}" class="index-link pure-menu-item">
          <span class="alt-span">alt</span>
          <img src="{{ url_for('static', filename='logo.png') }}" />
          <span class="censored-span">ensored</span>
        </a>
      </div>
      <div class="pure-u-1 pure-u-md-8-24 searchbar">
        <form class="pure-form" action="{{ url_for('video.search') }}" method="get">
          <fieldset>
            <input type="search" style="width:100%;" name="q" placeholder="{{ gettext('search') }}" results=5
                   id=mySearch required value="">
          </fieldset>
        </form>
      </div>
      <div class="pure-u-1 pure-u-md-8-24 user-field">
        <div class="pure-u-1-2">
          <a href="{{url_for('theme.toggle')}}?original_url={{ current_path }}"}}">
            {%if theme == 'light' %}
            <i id="dark-reader-icon" class="icon ion-ios-moon"></i>
            {% else %}
            <i id="dark-reader-icon" class="icon ion-ios-sunny"></i>
            {% endif %}
          </a>
        </div>
        <div class="pure-u-1-2">
          <a href="{{ url_for('settings.index') }}" class="pure-menu-heading">
            <i class="icon ion-ios-cog"></i>
          </a>
        </div>
        <div class="pure-u-1-2">
          <a href="{{ url_for('user.index') }}" class="pure-menu-heading">
            <i class="icon ion-ios-contact"></i>
          </a>
        </div>
        <div class="pure-u-1-2">
          {% if not session['user'] %}
          <a href="{{ url_for('auth.login') }}" class="pure-menu-heading">
            {{ gettext('Log In') }}
          </a>
          {% else %}
          <a href="{{ url_for('auth.logout') }}" class="pure-menu-heading">
            {{ gettext('Log Out') }}
          {% endif %}
          </a>          
        </div>
      </div>
    </div>
  </div>
  <div class="pure-u-1 pure-u-md-2-24"></div>
</div>

<section>
  <header>
    {% block header %}{% endblock %}
  </header>

  {% with messages = get_flashed_messages(with_categories=true) %}
    {% if messages %}
      <div class="flash-container">
        {% for category, message in messages %}
          <div class="flash-inner-container">
            <input type="checkbox" class="flash-dismiss-button">
            <div class="flash flash-{{category}}">
              <div class="flash-message">{{message}}</div>
            </div>
          </div>
        {% endfor %}
      </div>
  {% endif %}
  {% endwith %}
  
  <content>
    {% block content %}{% endblock %}
  </content>
  <footer>
    {% block footer %}{% endblock %}
  </footer>

  <footer>
    <div class="pure-g">
      <div class="pure-u-1 pure-u-md-2-24"></div>
      <div class="pure-u-1 pure-u-md-20-24">
        <div class="footer">
          <div class="pure-g">
            <div class="pure-u-1 pure-u-md-1-1">
              <a href="{{ url_for('donate.index') }}">
                <b>{{ gettext('Donate') }}</b></a>
              |
              <a href = "https://gitlab.com/altCensored.com/altcensored"
                 target="_blank"><b>{{ gettext('Released under the') }} AGPLv3</b></a>
              |
              <a href = "https://altcensored.printify.me"
                 target="_blank"><b>{{ gettext('Shop') }}</b></a>
            </div>
          </div>
          <div class="pure-g">
            <div class="pure-u-1 pure-u-md-1-1">
              <a href="{{ url_for('about.index') }}"
                <b>{{ gettext('About') }}</b></a>
              |
              <a href="{{ url_for('about.index',_anchor='_1') }}"
                <b>{{ gettext('Privacy') }}</b></a>
              |
              <a href="{{ url_for('about.index',_anchor='_2') }}"
                <b>{{ gettext('FAQ') }}</b></a>
            </div>
          </div>
        </div>
      </div>
      <div class="pure-u-1 pure-u-md-2-24"></div>
    </div>
  </footer>
</section>

<script type="text/javascript">
  window.addEventListener('DOMContentLoaded', (event) => {
    let params = new URLSearchParams(document.location.search.substring(1));
    let qstring = params.get("q"); // is the string "Jonathan"
    document.getElementById("mySearch").value = qstring;
  });
</script>

</body>
</html>